Home/Support/Support Forum/Cannot upgrade firmware of XBee S1 with X-CTU 6.2.0

Cannot upgrade firmware of XBee S1 with X-CTU 6.2.0

0 votes
Hello,
I have two X-Bee S1 and I want to use them to read tempreture from a TMP36 sensor.To do this, I need to change the firmware of the 2 X-Bees. One of the X-Bees should be API Coordinator, the other one - AT Router.
However, I cannot upgrade the firmware of both XBees with the X-CTU software(version 6.2.0) The problem is that when I click on the upgrade firmware icon, there are only two product families - XB24 and XB24-DM. Neither of these families have the API Coordinator or the AT Router firmware. What should I do to put the desired functions to the 2 XBees?
Thank you for your reply.
PS:I also
asked Dec 8, 2015 in RF Solutions and XBee by tripleG New to the Community (3 points)

Please log in or register to answer this question.

1 Answer

0 votes
XBee S1 module only supports 802.15.4 and DigiMesh firmware. The firmware you are attempting to upload is compatible with XBee S2/S2B modules.

However, both S1 and S2 modules supports IO lines. You can configure this module to read temperature from sensor as well without changing its firmware. Check its product manual for details.
answered Dec 9, 2015 by asgm Veteran of the Digi Community (1,497 points)
...